solscan logo
Register NowRegister Now

account balance change activities

get

https://pro-api.solscan.io/v2.0/account/balance_change

Get balance change activities involving an account

QUERY PARAMS

address

string

required

A wallet address on solana blockchain

token_account

string

A token account of wallet on solana blockchain

token

string

Filter activities data by token address

from_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

to_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

page_size

number

Number items per page

page

number

Page number for pagination

remove_spam

string

The query parameter to determine if spam activities have been removed or not

amount

array

Filter by amount range for a specific token. Example: ?amount[]=1&amount[]=2&token=So11111111111111111111111111111111111111112

Maximum allowed values: 2

flow

string

Filter by change direction: in or out

sort_by

string

The parameter allows you to specify the field by which the returned list will be sorted

sort_order

string

The parameter allows you to specify the sort order

block_time

array

Deprecated

Used when you want to filter data by block time. Format time: UnixTime in seconds. You need to pass array into http query to filter by start and stop block_time. Example: ?block_time[]=1720153259&block_time[]=1720153276

Maximum allowed values: 2

RESPONSES

200

OK

Response Body

success

boolean

Status of Api

block_id

number

Slot number of activity

block_time

number

Unix time of the slot

time

string

Time of the slot

trans_id

string

Transaction hash or signature for activity

address

string

The wallet involved in the activity

token_address

string

The address of token involved in the activity

token_decimals

number

The decimals of token involved in the activity

token_account

string

The address of the token account involved in the activity

amount

number

The amount of change

pre_balance

number

The account balance before executing the transaction

post_balance

number

The account balance after executing the transaction

change_type

string

The type of account balance change: increase (inc) or decrease (dec)

fee

number

The fee of transaction

400

Bad Request

Response Body

401

Authentication failed

Response Body

429

Too Many Requests

Response Body

500

Internal Server Error

Response Body

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples